
Database - Bug #2550

update ImportWorker

04/16/2015 09:07 AM - Ovidiu Maxiniuc

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/16/2015 09:14 AM - Ovidiu Maxiniuc

- File om_upd20150416b.zip added

- Status changed from New to WIP

The ImportWorker contained special handling the now obsolete pwds.txt file.  Since we now have a compatible implementation of the encode()

function, we should no longer use this workaround.

The attached update cleans up the import worker by completely removing the code that handles passwords stored in plain text file.

It has been tested successfully (only on MS SQL Server) and the dump of a database populated by this worker was posted on devsrv01 at

~/secure/clients/<customer_name>/sqlsrv_dump.

LE: GES removed the customer name from this entry.

#2 - 07/31/2015 01:56 PM - Eric Faulhaber

- Status changed from WIP to Closed

- Assignee set to Ovidiu Maxiniuc

- % Done changed from 0 to 100

Code review 0416b:

Changes look good. I will roll this change into my current development branch (#2581), so you don't need to create a separate branch for it.

#3 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

om_upd20150416b.zip 29.4 KB 04/16/2015 Ovidiu Maxiniuc
